Subject: Ticket Assigned - REQUEST FOR MY REFUND OF 303 RIYAL
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 19 Dec 2021 12:04:33 +0000

Hi Sarah Awad,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  REQUEST FOR MY REFUND OF 303 RIYAL I Ordered a Guess Watch and During Payment Process it got declined and My
Amount 303 SAR has been deducted from the account and ordered was not
Processed. I Believe I'll Get my refund back as soon as possible for Order
Number 6369621830. As you asked for Reclaim Process No. Here it is
CL2135300036.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3631291